Inspect latest function ship
Returns the latest ship outcome. The stage is none on success, pending while building, or a failure stage such as build, platform, pre_build, deploy, or security_review. This stage-neutral customer-facing path is an alias over the same inspection resource as build_log_inspection.
GET
/
compute
/
funcs
/
{id}
/
ship_inspection
Inspect latest function ship
curl --request GET \
--url https://api.telnyx.com/v2/compute/funcs/{id}/ship_inspection \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.telnyx.com/v2/compute/funcs/{id}/ship_inspection"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.telnyx.com/v2/compute/funcs/{id}/ship_inspection', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"record_type": "build_log_inspection",
"runtime": "node",
"stage": "build",
"reason": "index.ts(8,7): error TS2322: Type 'string' is not assignable to type 'number'.",
"snippet": "index.ts(8,7): error TS2322",
"created_at": "2026-09-09T15:30:00.000Z"
}
}Was this page helpful?
Inspect latest function ship
